## debian-edu 0.803

=== Makefile ===
#!/usr/bin/make -f

# One of stable, sarge, unstable
TARGET_DIST = sarge

debian/control: gen-control debian/control.stub tasks/*
	(cat debian/control.stub; \
	 ./gen-control -s ./sources.list.$(TARGET_DIST) -D -c -m -i) > $@

tasksel: debian-edu-tasks.desc
debian-edu-tasks.desc: gen-control tasks/*
	./gen-control -s ./sources.list.$(TARGET_DIST) -t > debian-edu-tasks.desc

clean: 
	rm -rf tmp
	rm -f tasks/*~a
	rm -rf tasksel

## debian-edu 0.771

=== debian/changelog ===
debian-edu (0.771) unstable; urgency=medium

  * Joey Hess
    - Rebuild against current testing, amaya-gtk and amaya-lesstif are no
      longer available.
    - Medium urgency upload to perhaps get into testing this time.

 -- Joey Hess <joeyh@debian.org>  Thu, 10 Jun 2004 13:18:54 -0400

debian-edu (0.770) unstable; urgency=low

  * Petter Reinholdtsen
    - Add Joey Hess as uploader.
  * Joey Hess
    - lrrd has been renamed to munin, add | munin and | munin-node
      as appropriate for sarge.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 20 May 2004 22:10:23 +0200

debian-edu (0.769) unstable; urgency=low

  * Joey Hess
    - gen-control: Use | between alternates in generated control file
      if the alternates are both available.
    - Depend on discover | discover1, for sarge's discover transition.
  * Rene Engelhard
    - fix myspell package naming and add some extra openoffice.org-help-*
      and myspell-* packages to the workstation task where we already have
      corresponding myspell-* or openoffice.org-l10n-* packages in it
    - fix myspell package naming (no openoffice.org-spellcheck-*;
      remove openoffice.org-spellcheck alternative, too) (Closes: #241373)

 -- Joey Hess <joeyh@debian.org>  Fri,  7 May 2004 15:03:20 -0400

debian-edu (0.768) unstable; urgency=low

  * Rune Nordbe Skillingstad
    - Depend on bind9 instead of bind8 in main-server task.
  * Marius Kotsbak
    - Added "pnm2ppa" to the networked task, as it is needed for HP
      Deskjet 720C.  Solves Skolelinux bug #470.
  * Finn-Arne Johansen
    - Depend on dhcp3-server instead of dhcp in main-server task.
  * Ragnar Wisloff
    - Added ncs to main server tasks
  * Petter Reinholdtsen
    - Add kde-i18n-el (Greek) KDE translation to workstation task.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 15 Mar 2004 22:35:31 +0100

debian-edu (0.767) unstable; urgency=low

  * Petter Reinholdtsen
    - No need to depend directly on xfree86-common, as it is a
      dependency on several other packages.
    - Add dependency on isag and smartsuite|smartmontools (common).
    - Add dependency on apmd (laptop).
    - Change priorities from optional to extra, to match the archive
      override file.
  * Bart Cornelis
    - Changed maintainer address to debian-edu@l.d.o to reflect merging
      of lists.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 26 Feb 2004 10:07:55 +0100

debian-edu (0.766) unstable; urgency=low

  * Petter Reinholdtsen
    - Drop direct dependency on hwinfo, as it is pulled in by kudzu.
    - Drop dependency on obsolete packages kdebase-crypto,
      kdelibs3-cups, kio-fish, kdebase-doc and cupsys-pstoraster.
    - Drop dependency on mrproject in workstation and standalone-extra,
      as this package is now called planner.
    - Rebuilt meta-packages with info about the current packages in testing.

 -- Petter Reinholdtsen <pere@debian.org>  Sat,  7 Feb 2004 10:11:54 +0100

debian-edu (0.765) unstable; urgency=low

  * Petter Reinholdtsen
    - Change version number to 0.765 to make sure the version in the
      Debian archive is larger than the version number used in
      Skolelinux (0.764.skolelinux.#).
    - Forgot to change the priority of the laptop and networked task.
      Change them to use priority 'extra' to match the override file.
    -  Handle both old and package names (ie in Woody and Sarge/Sid):
      o education-mathematics:
        * xeuklides      -> "xeuklides | xeukleides"
      o education-desktop-gnome:
        * gwget          -> "gwget | gwget2"
      o education-workstation / education-standalone:
        * kde-i18n-no    -> "kde-i18n-no | kde-i18n-nb"
        * kde-i18n-nony  -> "kde-i18n-nony | kde-i18n-nn"
      o education-workstation / education-standalone-extras:
        * "keuklid,kgeo" -> "keuklid | kgeo"
      o education-standalone:
        * xmmsarts       -> "xmmsarts | xmms-arts"
        * libvorbis0     -> "libvorbis0 | libvorbis0a"
      o education-workstation:
        * openoffice.org-spellcheck-de-de ->
            "openoffice.org-spellcheck-de-de | myspell-de-de"
        * openoffice.org-spellcheck-es ->
            "openoffice.org-spellcheck-es | myspell-es"
    - Moved all packages which are missing on some archs from depends
      to recommends: dmidecode, grub, kudzu, nictools-nopci,
      nictools-pci, pcmcia-cs, read-edid, webmin-grub, wine,
      winesetuptk, wine-utils. (Closes: #228304)
    - Depend on 'webmin-ldap-skolelinux | webmin-ldap-user-simple' to
      find the new user admin GUI.
    - Drop dependency on xlib6g, as it should be pulled in by the
      packages that need it.
    - Drop direct dependency on discover-data, as it is pulled in by
      discover.
  * Andreas Schuldei
    - add andreas to Uploaders in control.stub

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 31 Jan 2004 15:15:11 +0100

debian-edu (0.14) unstable; urgency=low

  * Change gen-control to allow all tasks to depend on other tasks,
    independent of the loading order.
  * Modify gen-control to process Priority headers as well.
  * Change priorities to match override file. Make default priority
    'optional', and change priority of tasks common, main-server,
    standalone, standalone-extras, thin-client-server and workstation
    to 'extra'.
  * Include kpercentage and kalzium in workstation and
    standalone-extras tasks if available (change Ignore to Depends).
  * Include webmin-cfengine and webmin-webalizer in main-server task
    if present.
  * Drop nparted from common task, as it is dropped for sid and sarge.
  * Add nullidentd to common task, to make sure we have some IDENT
    implementation available.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 12 Jan 2004 00:49:55 +0100

debian-edu (0.13) unstable; urgency=low

  * Avoid duplicates in list of missing packages, and place the
    missing packages on the suggests list instead.
  * Tell gen-control script to ignore the locally installed packages.


=== debian/control ===
Source: debian-edu
Section: misc
Priority: extra
Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
Uploaders: Raphael Hertzog <hertzog@debian.org>, Petter Reinholdtsen <pere@debian.org>, Andreas Schuldei <andreas@debian.org>, Joey Hess <joeyh@debian.org>
Build-Depends-Indep: debhelper (>= 4)
Standards-Version: 3.6.1

Package: education-astronomy
Architecture: all
Depends: celestia, gstar, kstars, spacechart, starplot, stars, sunclock, xplanet, xplanet-images, xtide, xtide-data
Suggests: stellarium, xephem
Description: DebianEdu astronomy related applications
 This metapackage depends on various applications that can be used to
 teach astronomy.

Package: education-chemistry
Architecture: all
Depends: chemtool, gperiodic, kalzium, rasmol
Recommends: lum, mek, xem, xpovchem
Description: DebianEdu chemistry related applications
 This metapackage depends on various applications that can be used to
 teach chemistry.

Package: education-common
Architecture: all
Depends: apt-listchanges, arping, bc, cfengine, cfengine-doc, cron-apt, debian-edu-config, debian-edu-install, devfsd, discover | discover1, eject, emacs21, etherwake, ethtool, ext2resize, finger, gawk, grub-doc, hdparm, host, hwdata, isag, kernel-package, less, libncurses5-dev, libwww-perl, lvm10, man-db, manpages, mdetect, mtools, ncftp, ng-utils, nmap, nscd, nullidentd, recover, reportbug, smartmontools, ssh, strace, sysutils, tcpdump, tcptraceroute, traceroute, vim, wget, xdebconfigurator
Suggests: chkconfig, locale-config-skolelinux, qtcups, smartsuite
Recommends: dmidecode, grub, kudzu, nictools-nopci, nictools-pci, read-edid
Description: DebianEdu common packages
 A metapackage containing dependencies for packages required on all
 installations in the DebianEdu custom Debian distribution.

Package: education-desktop-gnome
Section: gnome
Architecture: all
Depends: abiword, bluefish, gnumeric
Suggests: amaya-gtk, gwget, gwget2
Description: DebianEdu GNOME desktop applications
 This metapackage depends on various GNOME office and desktop applications
 that are useful for teachers and their students.

Package: education-desktop-kde
Section: kde
Architecture: all
Depends: koffice, koffice-doc-html
Description: DebianEdu KDE desktop applications
 This metapackage depends on various KDE office and desktop applications
 that are useful for teachers and their students.

Package: education-desktop-other
Architecture: all
Depends: mgp, ted, texmacs
Suggests: amaya-lesstif, lyx
Description: DebianEdu desktop applications (non-GNOME, non-KDE)
 This metapackage depends on various office and desktop applications
 that are useful for teachers and their students.

Package: education-electronics
Architecture: all
Depends: electric, ksimus, ksimus-boolean, ksimus-datarecorder, ksimus-floatingpoint, oregano, pcb, vipec, xcircuit
Description: DebianEdu electronics related applications
 This metapackage depends on various applications that can be used to
 teach electronics.

Package: education-geography
Architecture: all
Suggests: grass
Description: DebianEdu applications for geography
 This metapackage depends on various applications that can be used
 to teach geography.

Package: education-graphics
Architecture: all
Depends: dia-gnome, gimp1.2, panorama, qcad, sketch, tgif, xaos, xfig, xpaint
Suggests: blender, kontour
Description: DebianEdu graphics related applications
 This metapackage depends on various applications that can be used to
 teach graphics and pictural art.

Package: education-language
Architecture: all
Depends: aspell, dict, gnome-utils, i2e, khangman, kiten, klettres, kmessedwords, ktouch, kverbos, kvoctrain, lletters, tipptrainer, trans-de-en, tuxtype, typespeed, wordnet, wordtrans-data, wordtrans-kde
Suggests: wordtrans-console
Recommends: festival, hanzim
Description: DebianEdu language related educational applications
 This metapackage depends on various applications that can be used to
 teach a (foreign) language. It includes some typing applications.

Package: education-laptop
Architecture: all
Depends: apmd, education-standalone, murasaki
Recommends: pcmcia-cs
Description: DebianEdu laptop packages.
 A metapackage containing dependencies for packages required on all
 laptop installations in the DebianEdu custom Debian distribution.

Package: education-logic-games
Architecture: all
Depends: cgoban, gnome-games, gnuchess, gnugo, gtans, ksokoban, xboard, xjig, xsok
Suggests: crafty
Description: DebianEdu logic games
 This metapackage depends on various logic games that can be used to
 teach logic to children.

Package: education-main-server
Architecture: all
Depends: apache, apache-doc, bind9, bind9-doc, calamaris, chastity-list, courier-imap-ssl, courier-ldap, dhcp3-server, dlint, dnswalk, dsh, education-networked, makepasswd, munin, nfs-kernel-server, nslint, ntp-refclock, openssl, samba, samba-doc, slapd, slbackup, squid, squidguard, ssh, tdb-tools, webalizer, webmin, webmin-apache, webmin-bind, webmin-cfengine, webmin-core, webmin-dhcpd, webmin-exports, webmin-inetd, webmin-ldap-user-simple, webmin-lvm, webmin-quota, webmin-samba, webmin-slbackup, webmin-software, webmin-squid, webmin-sshd, webmin-status, webmin-webalizer, zone-file-check
Suggests: lrrd-server, lynx-ssl, ncs, webmin-cupsadmin-skolelinux, webmin-ldap-netgroups, webmin-ldap-skolelinux, webmin-raid
Recommends: webmin-grub
Description: DebianEdu Main Server packages.
 A metapackage containing dependencies for packages required on all
 main server installations in the DebianEdu custom Debian distribution.

Package: education-mathematics
Architecture: all
Depends: drgenius, geg, gnuplot, grace, kgeo, kmplot, kpercentage, kseg, mathwar, maxima, octave, pari-gp, xabacus, xaos, xeukleides, yacas
Suggests: magicsquare, scilab, xarith, xeuklides
Description: DebianEdu mathematical applications
 This metapackage depends on various applications that can be used to
 teach mathematics, geometry, and statistics.

Package: education-misc
Architecture: all
Depends: flashkard, gcompris, keduca, tilp, visualos
Suggests: ggradebook
Description: DebianEdu miscellaneous applications for education
 This metapackage depends on miscellaneous applications that can be useful
 for teaching purpose.

Package: education-music
Architecture: all
Depends: brahms, denemo, festival, gtick, lilypond, rosegarden, solfege, xmms
Description: DebianEdu music and sound applications
 This metapackage depends on various applications that can be used to
 teach music.

Package: education-networked
Architecture: all
Depends: autofs-ldap, cupsomatic-ppd, cupsys, education-common, fam, libnss-ldap, libpam-ldap, munin-node, nfs-common, ntp, ntp-doc, ntpdate, pnm2ppa
Suggests: libldap2-tls, lrrd-client
Description: DebianEdu networked packages
 A metapackage containing dependencies for packages required on all
 networked installations (workstation and main-server, but not
 standalone) in the DebianEdu custom Debian distribution.

Package: education-physics
Architecture: all
Suggests: lum, mek, xem, xoscope
Description: DebianEdu physics related applications
 This metapackage depends on various applications that can be used to
 teach physics.

Package: education-services
Architecture: all
Depends: dansguardian
Suggests: wims
Description: DebianEdu services for educational institutions
 This metapackage depends on several applications providing useful
 infrastructure and services in an educational context: 
 e-learning services, online documentation repository,
 web content filter...

Package: education-standalone
Architecture: all
Depends: aptitude, ark, autoconf, cupsys-bsd, cupsys-client, cupsys-driver-gimpprint, cvs, ddd, education-common, g++, gaim, gcc, gdb, gnomemeeting, gnupg, gnupg-doc, gsfonts-x11, gzip, ifplugd, kcalc, kcharselect, kcron, kde-i18n-da, kde-i18n-de, kde-i18n-es, kde-i18n-fr, kde-i18n-it, kde-i18n-nb, kde-i18n-nn, kde-i18n-se, kdebase, kdepasswd, kdf, kdict, kdm, kedit, kfind, kfloppy, kghostview, kmail, kmix, knode, knotes, konqueror, konqueror, konsole, korganizer, kpackage, kppp, kscd, ksirc, ksnapshot, kuser, libaudiofile0, libogg0, libvorbis0a, libxml1, make, menu, myspell-nb, myspell-nn, openoffice.org, openoffice.org-help-en, pgpgpg, pppoeconf, rdesktop, tar, unifont, unzip, unzip-crypt, wine-doc, x-window-system-core, xfonts-100dpi-transcoded, xfonts-75dpi-transcoded, xfonts-base-transcoded, xmms, xmms-arts, xpdf, xprt, xterm, zip, zip-crypt, zlib1g
Suggests: gs-pdfencrypt, j2re1.3, kde-i18n-lv, kde-i18n-no, kde-i18n-nony, kpm, libvorbis0, openoffice.org-help-nb, openoffice.org-help-nn, openoffice.org-l10n-nb, openoffice.org-l10n-nn, xlibs-se, xmmsarts
Recommends: wine, wine-utils, winesetuptk
Description: DebianEdu standalone workstation packages.
 A metapackage containing dependencies for packages required on all
 small standalone workstation installations in the DebianEdu custom
 Debian distribution.

Package: education-standalone-extras
Architecture: all
Depends: artsbuilder, auctex, celestia, dia, drgenius, education-standalone, gcompris, geg, gimp-data-extras, gimp1.2, gnomemeeting, gnuplot, gperiodic, gperiodic, iamerican, ibritish, idanish, ifrench, ingerman, inorwegian, ispanish, kalzium, kate, kate-plugins, kbear, kchart, kdewallpapers, kfilereplace, kformula, kgeo, kghostview, kiconedit, kivio, klogic, kmid, kmplot, konq-plugins, konqueror, koshell, kpaint, kpaint, kpercentage, krecord, kruler, kscreensaver, kseg, kstars, ktouch, kugar, kview, kword, lacheck, lightspeed, lyx, ncftp, netpbm, noatun, noatun-plugins, noteedit, ogle-gui, postgresql-client, qcad, quanta, sane, smbclient, sodipodi, solfege, sql-ledger, tetex-base, tetex-bin, tetex-brev, tetex-doc, tetex-extra, ucblogo, wget, xine-ui, xmms-cdread, xplanet, xsane, yacas
Suggests: dbdesigner, ghostview, keuklid, kgraph, klearnspelling, klearnspelling, kmidi, kmidi, kmultiply, knorskverbs, opera, timidity-patches, xine-dvdnav
Recommends: mrproject | planner
Description: DebianEdu standalone workstation packages.
 A metapackage containing dependencies for packages required on all
 large standalone workstation installations in the DebianEdu custom
 Debian distribution.

Package: education-thin-client-server
Architecture: all
Depends: dhcp3-server, education-workstation, iptables, rdiff-backup, ssh, tftpd-hpa, webmin, webmin-core, webmin-dhcpd, xfs
Suggests: ltsp-core-i386, ltsp-doc, ltsp-kernel-2.4.19-i386, ltsp-kernel-pxe-2.4.19-i386, ltsp-local-apps-i386, ltsp-x-core-i386, ltsp-x-fonts-i386, ltsp-x-xserver-3dlabs-3.3.6-i386, ltsp-x-xserver-8514-3.3.6-i386, ltsp-x-xserver-agx-3.3.6-i386, ltsp-x-xserver-fbdev-3.3.6-i386, ltsp-x-xserver-i128-3.3.6-i386, ltsp-x-xserver-mach32-3.3.6-i386, ltsp-x-xserver-mach64-3.3.6-i386, ltsp-x-xserver-mach8-3.3.6-i386, ltsp-x-xserver-mono-3.3.6-i386, ltsp-x-xserver-p9000-3.3.6-i386, ltsp-x-xserver-s3-3.3.6-i386, ltsp-x-xserver-s3v-3.3.6-i386, ltsp-x-xserver-svga-3.3.6-i386, ltsp-x-xserver-vga16-3.3.6-i386, ltsp-x-xserver-w32-3.3.6-i386, netboot, webmin-ltsp
Description: DebianEdu networked thin client server packages.
 A metapackage containing dependencies for packages required on all
 networked thin client server installations in the DebianEdu custom Debian
 distribution.

Package: education-workstation
Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=4

# One of stable, testing, unstable
TARGET_DIST = testing

debian/control: gen-control debian/control.stub tasks/*
	(cat debian/control.stub; \
	 ./gen-control -s ./sources.list.$(TARGET_DIST) -c -m -i) > $@

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: debian/control configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	#$(MAKE)
	#/usr/bin/docbook-to-man debian/meta-education.sgml > meta-education.1

	touch build-stamp

clean: debian/control
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	rm -rf tmp
	rm -f tasks/*~

	# Add here commands to clean up after the build process.
	#-$(MAKE) clean

	dh_clean

install: debian/control build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/meta-education.
	#$(MAKE) install DESTDIR=$(CURDIR)/debian/meta-education


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs -i -A README
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## debian-edu 0.803

=== debian/changelog ===
debian-edu (0.803) unstable; urgency=low

  * Petter Reinholdtsen
    - Change 'drgenius' in mathematics, standalone-extras and
      desktop-other to 'drgeo | drgenius', as the latter is
      superseeded by the former.  See bug #273271 for more info.
    - Change 'kgeo' in mathematics to 'kig | kgeo', as I believe the
      former is a good replacement for kgeo as it is available in
      sarge.
    - Change standalone, move mozilla-locale-zh-cn,
      mozilla-locale-gl-es, mozilla-locale-el, mozilla-locale-zh-tw,
      mozilla-locale-es-es, mozilla-locale-cy to suggests, as these
      packages are now missing in sarge.
    - Do not remove debian-edu-tasks.desc in the 'clean' target, to
      make sure the archive only is consulted if the tasks files are
      changed.  Make sure to not remove debian/control in the build
      target in debian/rules for the same reason. 
      Closes: #276896, #274745
  * Joey Hess
    - Add note to README documenting the need to manually update control
      file.

 -- Joey Hess <joeyh@debian.org>  Sun, 17 Oct 2004 22:32:05 -0400

debian-edu (0.802) unstable; urgency=low

  * Finn-Arne Johansen
    - Added new ltsp-4.1 packages from
      deb http://people.linuxlabs.no/ragnar ltsp-debs/
    - Fixed typo in mozilla package list keeping mozilla-locale-no-nb out
      (Closes: #275032)
    - Replaced tftpd-hpa with atftpd, since the later uses debconf
    - Replaced the testing with sarge (Closes: #274742)
    - Changed depends on grub to recommends, which should then be suggests
      when the task-generating is done (Closes: #273734)
  * Joey Hess
    - Fix Makefile.
    - Force build of debian/control as part of the package build.

 -- Joey Hess <joeyh@debian.org>  Tue,  5 Oct 2004 16:23:28 -0400

debian-edu (0.801) unstable; urgency=low

  * Finn-Arne Johansen
    - Added the skolelinux local repository back to the package, to
      get the missing packages back. Should no longer keep the
      education tasks out of the sarge Repository
    - Added some packages back in (dmidecode, isag among others)
    - Removed mozilla-locale-eu, because it conflicts with
      mozilla-locale-es-es, bug reported against mozilla-locale-eu
      (Debian BTS # 269636)
    - Depend on "dhcp3-server | dhcp" instead of just dhcp (we need to
      use dhcp3-server)
    - Depend on "webmin-dhcpd3 | wembin-dhcpd" instead of just webmin-dhcpd
    - Added samba back in, as it now works (ldap cert. issue solved somehow)
  * Petter Reinholdtsen
    - Depend on 'localization-config | locale-config-skolelinux' instead
      of just locale-config-skolelinux.  The first one is the name of
      the package uploaded into Debian.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 18 Sep 2004 15:46:41 +0200

debian-edu (0.800) unstable; urgency=low

  * Finn-Arne Johansen
    - Moved around some packages
    - Removed custom packages from skolelinux repository
    - Updated desktop-gnome
  * Joey Hess
    - Mark tasks that exist only to be dependencies of others as Leaf: false.
    - Add -t switch to gen-control, to set up a tasksel task desc file
      and some package lists.
    - New package education-tasks provides debian-edu tasks in a form usable
      by the new tasksel. This may eventually replace the old-style task
      packages.
    - Add -D to gen-control, to produce task packages with dependencies
      degraded to recommends, and use it.
    - Move some things to a Makefile to allow cleaner running by build cron
      jobs.
    - Make the task packages depend on education-tasks.
    - xdebconfigurator depends on discover, so remove the ored dependency
      from education-common, as that lead to difficulties if it didn't match
      xdebconfigurator's dependency.
    - Switch back to dhcp instead of dhcp3, until webmin-dhcpd works with it
      and/or bug #139873 is resolved.

 -- Joey Hess <joeyh@debian.org>  Sun, 25 Jul 2004 19:38:09 -0400

debian-edu (0.775) unstable; urgency=low

  * Rebuilt after some proxy got updated

 -- Finn-Arne Johansen <faj@bzz.no>  Thu,  1 Jul 2004 21:18:03 +0200

debian-edu (0.774) unstable; urgency=low

  * Rebuild after adding some old ltsp-packages into the sarge repository
    at developer.skolelinux.no

 -- Finn-Arne Johansen <faj@bzz.no>  Thu,  1 Jul 2004 19:28:04 +0200

debian-edu (0.773) unstable; urgency=low

  * Moved everything from workstation-extra into desktop-other for now,
    to make sure that we do not end up in the New-queue of Debian

 -- Finn-Arne Johansen <faj@bzz.no>  Tue, 29 Jun 2004 11:40:09 +0200

debian-edu (0.772) unstable; urgency=low

  * Did some cleaning to try to fit things on one CD
    Moved things from Workstation into workstation-extra

 -- Finn-Arne Johansen <faj@bzz.no>  Tue, 29 Jun 2004 00:11:46 +0200

=== debian/control ===
Source: debian-edu
Section: misc
Priority: extra
Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
Uploaders: Raphael Hertzog <hertzog@debian.org>, Petter Reinholdtsen <pere@debian.org>, Andreas Schuldei <andreas@debian.org>, Joey Hess <joeyh@debian.org>
Build-Depends-Indep: debhelper (>= 4)
Standards-Version: 3.6.1

Package: education-tasks
Architecture: all
Depends: tasksel (>= 2.07)
Description: Debian Edu tasks for tasksel
 This package provides Debian Edu tasks in tasksel.

Package: education-astronomy
Architecture: all
Depends: education-tasks
Recommends: celestia, kstars, spacechart, starplot, stars, sunclock, xplanet, xplanet-images, xtide, xtide-data
Suggests: gstar, stellarium, xephem
Description: DebianEdu astronomy related applications
 This metapackage depends on various applications that can be used to
 teach astronomy.

Package: education-chemistry
Architecture: all
Depends: education-tasks
Recommends: chemtool, gperiodic, kalzium, rasmol
Suggests: lum, mek, xem, xpovchem
Description: DebianEdu chemistry related applications
 This metapackage depends on various applications that can be used to
 teach chemistry.

Package: education-common
Architecture: all
Depends: education-tasks
Recommends: apt-listchanges, arping, bc, cfengine, cfengine-doc, debian-edu-config, debian-edu-install, devfsd, dmidecode, eject, emacs21, etherwake, ethtool, ext2resize, finger, gawk, hdparm, host, hwdata, isag, kudzu, less, libwww-perl, localization-config | locale-config-skolelinux, lvm10, man-db, manpages, mdetect, mtools, ncftp, ng-utils, nmap, nscd, nullidentd, read-edid, recover, reportbug, smartmontools, ssh, strace, sysutils, tcpdump, tcptraceroute, traceroute, vim, wget, xdebconfigurator
Suggests: chkconfig, cron-apt, grub, grub-doc, nictools-nopci, nictools-pci, smartsuite
Description: DebianEdu common packages
 A metapackage containing dependencies for packages required on all
 installations in the DebianEdu custom Debian distribution.

Package: education-desktop-gnome
Section: gnome
Architecture: all
Depends: education-tasks
Recommends: abiword, bluefish, esound, evolution | balsa, fam, gaim, gdm, gnome-core, gnome-games, gnome-gv, gnome-utils, gnomemeeting, gnumeric, nautilus, nautilus-cd-burner
Suggests: amaya-gtk, epiphany-browser, gcalctool, gnome-games, gnome-media, gnome-themes, gwget, gwget2
Description: DebianEdu GNOME desktop applications
 This metapackage depends on various GNOME office and desktop applications
 that are useful for teachers and their students.

Package: education-desktop-kde
Section: kde
Architecture: all
Depends: education-tasks
Recommends: ark, kcalc, kde-i18n-da, kde-i18n-de, kde-i18n-es, kde-i18n-fr, kde-i18n-it, kde-i18n-nb, kde-i18n-nn, kdebase, kdepasswd, kdm, kedit, kfloppy, kghostview, kmail, kmix, knode, koffice, koffice-doc-html, konqueror, konsole, kscreensaver, ksirc, menu, menu-xdg
Suggests: kate, kate-plugins, kcharselect, kcron, kde-i18n-lv, kde-i18n-no, kde-i18n-nony, kde-i18n-se, kdewallpapers, kdf, kdict, kfilereplace, kfind, kiconedit, kmid, kmidi, knotes, korganizer, kpaint, kpm, krecord, kruler, kscd, kschoolmenu, ksnapshot, kview, noatun, noatun-plugins
Description: DebianEdu KDE desktop applications
 This metapackage depends on various KDE office and desktop applications
 that are useful for teachers and their students.

Package: education-desktop-other
Architecture: all
Depends: education-tasks
Recommends: aptitude, aptitude, artsbuilder, auctex, autoconf, celestia, cvs, cvs, cvsbook, ddd, dia, drgeo, education-workstation, g++, gcc, gcompris, gdb, geg, gettext, gimp1.2, gnomemeeting, gnomemeeting, gnumeric, gnumeric, gnupg, gnupg-doc, gnuplot, gperiodic, gperiodic, iamerican, ibrazilian, ibritish, icatalan, idanish, idutch, ifinnish-large, ifrench, iitalian, ingerman, inorwegian, iportuguese, ispanish, kalzium, kbabel, kbear, kchart, kde-i18n-ca, kde-i18n-da, kde-i18n-de, kde-i18n-el, kde-i18n-es, kde-i18n-fr, kde-i18n-it, kde-i18n-nb, kde-i18n-nl, kde-i18n-nn, kernel-package, kformula, kivio, klogic, kmail, kmail, kmplot, knode, knode, koffice, konq-plugins, konqueror, koshell, kpackage, kpackage, kpaint, kpercentage, kpresenter, kseg, ksirc, ksirc, kspread, kspread, kstars, ktouch, ktouch, kugar, kword, kword, lacheck, libncurses5-dev, lightspeed, lyx, make, mgp, ncftp, netpbm, noteedit, ogle-gui, openoffice.org, openoffice.org, pgpgpg, postgresql-client, qcad, quanta, rdesktop, rdesktop, sane, smbclient, sodipodi, solfege, sql-ledger, ted, tetex-base, tetex-bin, tetex-brev, tetex-doc, tetex-extra, texmacs, ucblogo, wget, wine-doc, wine-doc, xine-ui, xmms, xmms-cdread, xplanet, xsane, yacas
Suggests: amaya-lesstif, dbdesigner, dbdesigner, drgenius, ghostview, gimp-data-extras, kde-i18n-lv, kde-i18n-no, kde-i18n-nony, kde-i18n-se, keuklid, kgeo, kgraph, klearnspelling, klearnspelling, kmidi, kmultiply, knorskverbs, kontour, kwebmin, lyx, mrproject | planner, opera, opera, qtcups, timidity-patches, wine, wine, wine-utils, wine-utils, winesetuptk, winesetuptk, xine-dvdnav
Description: DebianEdu desktop applications (non-GNOME and non-KDE)
 This metapackage depends on various office and desktop applications
 that are useful for teachers and their students.

Package: education-electronics
Architecture: all
Depends: education-tasks
Recommends: electric, ksimus, ksimus-boolean, ksimus-datarecorder, ksimus-floatingpoint, pcb, vipec, xcircuit
Suggests: oregano
Description: DebianEdu electronics related applications
 This metapackage depends on various applications that can be used to
 teach electronics.

Package: education-geography
Architecture: all
Depends: education-tasks
Suggests: grass
Description: DebianEdu applications for geography
 This metapackage depends on various applications that can be used
 to teach geography.

Package: education-graphics
Architecture: all
Depends: education-tasks
Recommends: dia-gnome, gimp1.2, panorama, qcad, sketch, tgif, xaos, xfig, xpaint
Suggests: blender, kontour
Description: DebianEdu graphics related applications
 This metapackage depends on various applications that can be used to
 teach graphics and pictural art.

Package: education-language
Architecture: all
Depends: education-tasks
Recommends: aspell, dict, gnome-utils, i2e, khangman, kiten, klettres, kmessedwords, ktouch, kverbos, kvoctrain, lletters, tipptrainer, trans-de-en, tuxtype, typespeed, wordnet, wordtrans-data, wordtrans-kde
Suggests: festival, hanzim, wordtrans-console
Description: DebianEdu language related educational applications
 This metapackage depends on various applications that can be used to
 teach a (foreign) language. It includes some typing applications.

Package: education-laptop
Architecture: all
Depends: education-tasks
Recommends: apmd, education-standalone, hotplug, pcmcia-cs
Description: DebianEdu laptop packages.
 A metapackage containing dependencies for packages required on all
 laptop installations in the DebianEdu custom Debian distribution.

Package: education-logic-games
Architecture: all
Depends: education-tasks
Recommends: cgoban, gnome-games, gnuchess, gnugo, gtans, ksokoban, xboard, xjig, xsok
Suggests: crafty
Description: DebianEdu logic games
 This metapackage depends on various logic games that can be used to
 teach logic to children.

Package: education-main-server
Architecture: all
Depends: education-tasks
Recommends: apache, bind9, courier-imap-ssl, dhcp3-server | dhcp, dsh, education-networked, iptables, makepasswd, munin, nagios-plugins, nagios-text, nfs-kernel-server, ntp-refclock, openssl, samba, slapd, slbackup, squid, ssh, webmin, webmin-core, webmin-dhcpd, webmin-exports, webmin-ldap-netgroups, webmin-ldap-user-simple, webmin-slbackup, webmin-squid
Suggests: apache-doc, bind9-doc, calamaris, chastity-list, dlint, dnswalk, lynx-ssl, ncs, nslint, samba-doc, squidguard, webalizer, webmin-apache, webmin-bind, webmin-cfengine, webmin-cupsadmin-skolelinux, webmin-dhcpd3, webmin-grub, webmin-inetd, webmin-lvm, webmin-quota, webmin-raid, webmin-samba, webmin-software, webmin-sshd, webmin-status, webmin-webalizer, zone-file-check
Description: DebianEdu Main Server packages.
 A metapackage containing dependencies for packages required on all
 main server installations in the DebianEdu custom Debian distribution.

Package: education-mathematics
Architecture: all
Depends: education-tasks
Recommends: drgeo, geg, gnuplot, grace, kig, kmplot, kpercentage, kseg, mathwar, maxima, octave, pari-gp, xabacus, xaos, xeukleides, yacas
Suggests: drgenius, kgeo, magicsquare, scilab, xarith, xeuklides
Description: DebianEdu mathematical applications
 This metapackage depends on various applications that can be used to
 teach mathematics, geometry, and statistics.

Package: education-misc
Architecture: all
Depends: education-tasks
Recommends: flashkard, gcompris, keduca, tilp, visualos
Suggests: ggradebook
Description: DebianEdu miscellaneous applications for education
 This metapackage depends on miscellaneous applications that can be useful
 for teaching purpose.

Package: education-music
Architecture: all
Depends: education-tasks
Recommends: brahms, denemo, festival, gtick, lilypond, rosegarden, solfege, xmms
Description: DebianEdu music and sound applications
 This metapackage depends on various applications that can be used to
 teach music.

Package: education-networked
Architecture: all
Depends: education-tasks
Recommends: autofs-ldap, cupsomatic-ppd, cupsys, education-common, libnss-ldap, libpam-ldap, munin-node, nfs-common, ntp, ntpdate, pnm2ppa
Suggests: libldap2-tls, ntp-doc
Description: DebianEdu networked packages
 A metapackage containing dependencies for packages required on all
 networked installations (workstation and main-server, but not
 standalone) in the DebianEdu custom Debian distribution.

Package: education-physics
Architecture: all
Depends: education-tasks
Suggests: lum, mek, xem, xoscope
Description: DebianEdu physics related applications
 This metapackage depends on various applications that can be used to
 teach physics.

Package: education-services
Architecture: all
Depends: education-tasks
Recommends: dansguardian
Suggests: wims
Description: DebianEdu services for educational institutions
 This metapackage depends on several applications providing useful
 infrastructure and services in an educational context: 
 e-learning services, online documentation repository,
 web content filter...

Package: education-standalone
Architecture: all
Depends: education-tasks
Recommends: autoconf, bzip2, cupsys-bsd, cupsys-client, cupsys-driver-gimpprint, cvs, ddd, dhcp-client, education-common, education-desktop-kde | education-desktop-gnome, g++, gcc, gdb, gnupg, gnupg-doc, gsfonts-x11, gzip, ifplugd, make, mozilla-browser, mozilla-locale-ca, mozilla-locale-da, mozilla-locale-de-at, mozilla-locale-hu, mozilla-locale-it, mozilla-locale-ja, mozilla-locale-no-nb, mozilla-locale-pl, mozilla-locale-ptbr, mozilla-locale-sl, mozilla-mailnews, mozilla-psm, myspell-ca, myspell-de-de | myspell-de-at | myspell-de-ch, myspell-en-us | myspell-en-gb, myspell-es, myspell-fr, myspell-nb, myspell-nn, openoffice.org, openoffice.org-help-en, openoffice.org-help-es, openoffice.org-help-fr, openoffice.org-l10n-ca, openoffice.org-l10n-de, openoffice.org-l10n-es, openoffice.org-l10n-fr, openoffice.org-l10n-nb, openoffice.org-l10n-nl, openoffice.org-l10n-nn, pgpgpg, tar, unifont, unzip, unzip-crypt, x-window-system-core, xfonts-100dpi-transcoded, xfonts-75dpi-transcoded, xfonts-base-transcoded, xfs, xpdf, xterm, zip, zip-crypt
Suggests: education-desktop, gs-pdfencrypt, j2re1.4, libc-dev, mozilla-locale-fr, mozilla-locale-ko, openoffice.org-help-nb, openoffice.org-help-nn
Description: DebianEdu standalone workstation packages.
 A metapackage containing dependencies for packages required on all
 small standalone workstation installations in the DebianEdu custom
 Debian distribution.

Package: education-standalone-extras
Architecture: all
Depends: education-tasks

=== debian/rules ===
#!/usr/bin/make -f

debian/control: 
	$(MAKE) debian/control

build: 
	$(MAKE) debian/control
	dh_testdir
	$(MAKE) tasksel

clean: debian/control
	dh_testdir
	dh_testroot
	$(MAKE) clean
	dh_clean 

install: debian/control build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	dh_install debian-edu-tasks.desc usr/share/tasksel
	dh_install tasksel/* usr/share/tasksel/task-files
	dh_install task-files usr/lib/tasksel/packages

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs -i -A README
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure debian/control
